<?php
	
	$syseli="Eliminado";
		$tipo="l";
		$documento="SETT144";
		$empresa="pruebas";
		$accion="FE";
		if($tipo=="l"){
			/*$query = "SELECT * FROM documentos where codigo='".$documento."' and codemp='".$empresa."' " ;*/
			if($accion=="NE"){
				$query = "select nomele.*,licemp.keynel as keyfel,licemp.openom as modope,prvtec.rutnel as rutfel,licemp.tesidne from nomele,licemp,prvtec where licemp.prvnel=prvtec.codprv and nomele.empresa=licemp.conedb and nomele.estado!='Eliminado' and nomele.codigo='".$documento."' and nomele.empresa='".$empresa."' ";	
			}else{			
				$query = "select documentos.*,licemp.keyfel,licemp.modope,prvtec.rutfel,licemp.prvfel from documentos,licemp,prvtec where licemp.prvfel=prvtec.codprv and documentos.codemp=licemp.conedb and documentos.estado!='Eliminado' and documentos.codigo='".$documento."' and documentos.codemp='".$empresa."' ";		
			}
			
			
			$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
	   		$conng-> set_charset("utf8");
	   		if($result = $conng->query($query)) {
   				$nr= $result->num_rows;
				if($nr>=1){
					//Asigno estructura Json a variable vJson
					while($row=mysqli_fetch_assoc($result)) {
			       		$vJson =  $row["estructura"];
           	   		} mysqli_free_result($result);
					
					
					// Inicializar la petición
					$curl = curl_init();
					// Serializar o pasar la factura a JSON
					$isvInvoice = json_encode($vJson);
					echo $isvInvoice;
					$isvInvoice = $vJson;
					echo $isvInvoice;
					/**
					 * - Enviar una factura a la DIAN, en modo pruebas
					 * - Realizar request por metodo POST
 					*/
					curl_setopt_array($curl, array(
    				CURLOPT_URL => "https://isv.aliaddo.net/api/v1/public/documents/invoice/test",
    				CURLOPT_RETURNTRANSFER => true,
    				CURLOPT_ENCODING => "",
    				CURLOPT_MAXREDIRS => 10,
    				CURLOPT_TIMEOUT => 30,
    				CURLOPT_POST => 1,
    				CURLOPT_POSTFIELDS => $isvInvoice,
    				CURLOPT_HTTPHEADER => array(
					// Adicionar cabeceras de autenticación con token Bearer generado  en el panel izquierdo
       				// "auth-token: 4facc5070884f0e15d9dc05c3ee4fb6b",
					 "x-api-key: key-5d84376ef3b44543a72141408d59636d-024968",
					// Tipo de requerimiento formato json
       				 "content-type: application/json",
        			 "cache-control: no-cache",
        			 "accept: application/json"
   					 )
					));
					// Ejecutar la petición
					$response = curl_exec($curl);
					echo $response;
					// Almacenar error en caso de que exista
					$err = curl_error($curl);
					// Mostar respuesta o error si hubo alguno
					if ($err) {
   						 echo "error -> " . $err;
						 // Terminar petición
						curl_close($curl);
					} else {
    					echo $response;
						// Terminar petición
						curl_close($curl);
					}
				}
				return $vJson;
			}
	   }
?>